Solved-Error message in several IQR functions

IQR Tools supports and increases the efficiency, quality, and compliance of model-based analyses in pharmacometrics, systems parmacology, and systems biology by incorporating and extending the capabilities of existing tools. The user-friendliness of the package considerably lowers the threshold for the conduct of modeling & simulation based analyses, which also makes it useful both for complex analyses and for educational purposes.

Here you can ask questions and get answers ...

Moderators: daniel.kaschek, intiquan

Post Reply
fvenezia@gmx.de
Posts: 2
Joined: Mon Jun 03, 2019 4:27 pm

Solved-Error message in several IQR functions

Post by fvenezia@gmx.de » Mon Jun 03, 2019 5:59 pm

Dear Intiquan support team

This error message arise by using IQRdataGENERAL or IQRdosing function and others

Error in arrange_impl(.data, dots) :
Evaluation error: `as_dictionary()` is defunct as of rlang 0.3.0.
Please use `as_data_pronoun()` instead.


Updating dplyr package solved it! :)

Kindly regards

Filippo
Last edited by fvenezia@gmx.de on Sat Jun 08, 2019 1:11 pm, edited 1 time in total.
fvenezia@gmx.de
Posts: 2
Joined: Mon Jun 03, 2019 4:27 pm

Re: Solved - Error message in several IQR functions

Post by fvenezia@gmx.de » Sat Jun 08, 2019 1:09 pm

:)
intiquan
Site Admin
Posts: 8
Joined: Mon Sep 03, 2018 11:50 am
Location: Basel, Switzerland
Contact:

Re: Solved-Error message in several IQR functions

Post by intiquan » Mon Jun 17, 2019 9:59 am

Hi Filippo,

yeah the compatibility of CRAN packages is not always given at all times - it's kind of an inbuilt thingy in CRAN. Some explanation to this can be found here: https://iqrtools.intiquan.com/doc/book/ ... Nnightmare

So essentially, whenever some weird errors appear during installation or running - it is often due to incompatible packages on the computer.

A simple and very straight forward solution can be found here: https://iqrtools.intiquan.com/doc/book/ ... me-machine

When installing IQR Tools from scratch on a new R installation, the installer will take care of it automatically. We test this intensively for all R versions >= 3.4.1.

Cheers,
Henning
Post Reply